---
title: HTMLMenuElement
slug: Web/API/HTMLMenuElement
tags:
  - API
  - Draft
  - Experimental
  - HTMLMenuElement
  - Interface
  - Reference
---
<p>{{APIRef("HTML DOM")}}{{Draft}}{{SeeCompatTable}}</p>

<p class="summary">The <strong><code>HTMLMenuElement</code></strong> interface provides special properties (beyond those defined on the regular {{DOMxRef("HTMLElement")}} interface it also has available to it by inheritance) for manipulating {{HTMLElement("menu")}} elements.</p>

<p>{{InheritanceDiagram(600, 120)}}</p>

<div>{{InterfaceOverview("HTML DOM")}}</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("HTML WHATWG", "grouping-content.html#htmlmenuelement", "HTMLMenuElement")}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td>No change from latest snapshot, {{SpecName("HTML5.3")}}</td>
  </tr>
  <tr>
   <td>{{SpecName("HTML5.2", "grouping-content.html#htmlmenuelement", "HTMLMenuElement")}}</td>
   <td>{{Spec2("HTML5.2")}}</td>
   <td>Snapshot of the {{SpecName("HTML WHATWG")}}.<br>
    Removed the <code>context</code> type.</td>
  </tr>
  <tr>
   <td>{{SpecName("HTML5.1", "interactive-elements.html#htmlmenuelement-htmlmenuelement", "HTMLMenuElement")}}</td>
   <td>{{Spec2("HTML5.1")}}</td>
   <td>Snapshot of the {{SpecName("HTML WHATWG")}}.<br>
    Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLMenuElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{DOMxRef("HTMLMenuItemElement")}}</li>
</ul>
